Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.server
Interface Authentication.ResponseSent

All Superinterfaces:
  Authentication

All Known Subinterfaces:
  Authentication.Challenge, Authentication.Failure, Authentication.SendSuccess

All Known Implementing Classes:
  FormAuthenticator.FormAuthentication

Enclosing interface:
  Authentication

    public static interface Authentication.ResponseSent

extends Authentication

Authentication Response sent state. Responses are sent by authenticators either to issue an authentication challenge or on successful authentication in order to redirect the user to the original URL.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.jetty.server.Authentication
`Authentication.Challenge, Authentication.Deferred, Authentication.Failure, Authentication.ResponseSent, Authentication.SendSuccess, Authentication.User, Authentication.Wrapped`

Field Summary

Fields inherited from interface org.eclipse.jetty.server.Authentication
`NOT_CHECKED, SEND_CONTINUE, SEND_FAILURE, SEND_SUCCESS, UNAUTHENTICATED`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.